Extending Qt Creator Manual | LocatorManager

Extending Qt Creator Manual 4.5.2

# LocatorManager Class

(Core::LocatorManager)

- List of all members, including inherited members

## Public Functions

| LocatorManager(QObject *parent = 0)

## Static Public Members

QWidget * | createLocatorInputWidget(QWidget *window)
void | show(const QString &text, int selectionStart = -1, int selectionLength = 0)
void | showFilter(ILocatorFilter *filter)

## Member Function Documentation

### LocatorManager::LocatorManager(QObject *parent = 0)

Default constructs an instance of LocatorManager.

### `[static]` QWidget *LocatorManager::createLocatorInputWidget(QWidget *window)

### `[static]` void LocatorManager::show(const QString &text, int selectionStart = -1, int selectionLength = 0)

### `[static]` void LocatorManager::showFilter(ILocatorFilter *filter)